Bug 159123 - reiserfs completely nonfunctional in FC4T3
reiserfs completely nonfunctional in FC4T3
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
http://www.coker.com.au/bug/reiser-xa...
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-30 04:47 EDT by Dan Hollis
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-30 23:08:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Hollis 2005-05-30 04:47:15 EDT
Description of problem:
reiserfs install is completely nonfunctional in FC4T3.
with selinux enabled, you get "Invalid compressed format (err=2)" on boot.
with selinux disabled, you get "Kernel Panic - not syncing: VFS: Unable to mount
root fs on device unknown-block(0,0)" on boot.

ext3 is fine.

Version-Release number of selected component (if applicable):
FC4T3

How reproducible:
Always

Steps to Reproduce:
1.boot the installer with 'linux reiserfs' or 'linux reiserfs selinux=0'
2.go through an install. no errors will be reported.
3.reboot as normal at the end of install.
  
Actual results:
system panics and hangs on boot.

Expected results:
it's expected to work.

Additional info:
i realize reiserfs is 'unsupported', but his used to work in FC3 just fine, so
something broke in FC4T3. eg a regression.

giving an explicit root device to grub (eg root=/dev/hda5 to override the LABEL=
just in case label parsing is broken) doesnt work either.

i haven't tested i386 yet.
Comment 1 Dan Hollis 2005-05-30 08:05:04 EDT
just tested i386. it's borked as well.
Comment 2 Russell Coker 2005-05-30 14:47:33 EDT
Just added a URL for a screen-shot of the relevant debug info. 
Comment 3 Dan Hollis 2005-05-30 18:49:01 EDT
did you actually test your url? i get a 404 at "Coker Tire" and a redirect.
Comment 4 Jeremy Katz 2005-05-30 23:08:05 EDT
reiserfs is completely unsupported.
Comment 5 Edward Shishkin 2005-06-07 10:09:05 EDT
(In reply to comment #0)

> How reproducible:
> Always
> 
> Steps to Reproduce:
> 1.boot the installer with 'linux reiserfs' or 'linux reiserfs selinux=0'
> 2.go through an install. no errors will be reported.
> 3.reboot as normal at the end of install.
>   
> Actual results:
> system panics and hangs on boot.
> 
> Expected results:
> it's expected to work.

Hello, 
would you please provide mode details to reproduce the problem (what fs do you
create on root partition, where do you create reiserfs, by what tool, etc..)
When I boot the installer with 'linux reiserfs' and go through an install,
I don't see any way to format partitions by reiserfs.

Thanks,
Edward.

Note You need to log in before you can comment on or make changes to this bug.